/**
 * ModelMediaType2.java
 *
 * File generated from the medication2::ModelMediaType2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ModelMediaType2.
 *
 * 
 */

@XmlType(name = "ModelMediaType")
@XmlEnum
@XmlRootElement(name = "ModelMediaType2")
public enum ModelMediaType2 {
	@XmlEnumValue("model/vrml")
	MODELVRML("model/vrml");
	
	private final String value;

    ModelMediaType2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ModelMediaType2 fromValue(String v) {
        for (ModelMediaType2 c: ModelMediaType2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
